Subject: Re: [PATCH v2 net-next 0/5] net: switchdev: Tracepoints

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Feb 2024 20:44:59 -0800

On Tue, 30 Jan 2024 21:19:32 +0100 Tobias Waldekranz wrote:
> This series starts off (1-2/5) by creating stringifiers for common
> switchdev objects. This will primarily be used by the tracepoints for
> decoding switchdev notifications, but drivers could also make use of
> them to provide richer debug/error messages.
> 
> Then follows two refactoring commits (3-4/5), with no (intended)
> functional changes:
> 
> - 3/5: Wrap all replay callbacks in br_switchdev.c in a switchdev
>        function to make it easy to trace all of these.
> 
> - 4/5: Instead of using a different format for deferred items, reuse
>        the existing notification structures when enqueuing. This lets
>        us share a bit more code, and it unifies the data presented by
>        the tracepoints.
> 
> Finally, add the tracepoints.

Is there any risk with conflicting with the fixes which are getting
worked on in parallel? Sorry for not investigating myself, ENOTIME.

> v1 -> v2:
> 
> - Fixup kernel-doc comment for switchdev_call_replay
> 
> I know that there are still some warnings issued by checkpatch, but
> I'm not sure how to work around them, given the nature of the mapper
> macros. Please advise.

It's a known problem, don't worry about those.